#ifndef _MN_H_
#define _MN_H_

/////////////////////////////////
#include <stdio.h>
#include <stdarg.h>
#include <netinet/in.h>
#include <sys/types.h>
#include <sys/time.h>


/////////////////////////////////
#define CONNECT_TIMEOUT				120		// seconds
#define MAX_NODES						64
// user provided functions
#define message_handler				msg_proc		// char *f( char *msg, u_int *sendlen )
#define commline_handler			cl_proc		// void f( int argc, u_char **argv )
#define exit_handler					exit_proc	// int f( void )
#define print_handler				print			// void f( char *u_str, ... )

#define MAX_STR_LEN					128
#define MAX_PACKET_SIZE				256
#define NULL_SOCKET					-1

// first send string (from a node): useful for identification and initialization
#define FIRST_SEND					"hello"


/////////////////////////////////
typedef struct
{
   int socket;
   u_char ipstr[32];
   struct sockaddr_in addr;
   unsigned sa_len;
} Terminal;


/////////////////////////////////
#endif
