#ifndef _SHARED_H_
#define _SHARED_H_

///////////////////////////////////////////
#include <stdio.h>
#include <stdarg.h>
#include <sys/types.h>


///////////////////////////////////////////
#define CL_VERBOSE						1
#define CL_NO_LOG							2
#define CL_HELP         				4
#define CL_PDICT       					8
#define CL_GDICT        				16

#define CL_GDICT_LCASE         		1
#define CL_GDICT_UCASE         		2
#define CL_GDICT_DIGITS        		4
#define CL_GDICT_PUNCTUATION   		8
#define CL_GDICT_EXTENDED      		16

// messages sent by master and echoed on success by node
enum
{
   MSG_INIT=1,
   MSG_DO_PDICT,
   MSG_DO_GDICT,
   MSG_SUCCESS,
   MSG_DISCONNECT
};

static const u_char *TITLE =
   "Slurpie v2.0b - Distributed Unix Password Cracker\n"
   "Copyright (C) 1999. HaPpY (katami@hotmail.com)\n";


/////////////////////////////////
typedef struct
{
   u_int isactive;
   char user[32],
      passwd[32];
} PwdInfo;


/////////////////////////////////
u_int strcpy_len( u_char *t, u_char *s );


/////////////////////////////////
#endif
